﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace Test
{
    public class CompaniesWorkspace
    {
        public CompaniesWorkspace()
        {
            this.Items = new BindingList<Company>(new Company[0]);
            //this.Items = new BindingList<Company>(new Company[]
            //    {
            //        new Company { Name = "Company 1", City = "Dallas" }
            //    });
            //this.Items = new BindingList<string>(new string[] {
            //    "Company 1", "Company 2", "Company 3" });
        }

        public BindingList<Company> Items { get; set; }
    }

    public class Company : INotifyPropertyChanged
    {
        public string Name { get; set; }

        public string City { get; set; }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
